{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends 'flux/detail.html.twig' %}
{% import '_includes/macros.html.twig' as appMacros %}

{# TODO: Reimplement City field #}

{% block subcontent %}
    {{ form_start(list.form, { 'action': app.request.pathInfo, 'method': 'GET' }) }}
        <table class="table table-responsive table-hover dataTable m-b-0">
            <thead>
                <tr>
                    {% set tooltipOptions = '{"side": "bottom"}' %}
                    {{ knp_pagination_sortable(list.pagination, 'Identifiant', 'identitySIT', {'data-tooltip': tooltipOptions, 'title': 'Identifiant du POI'}) }}
                    {{ knp_pagination_sortable(list.pagination, 'Titre', 'label', {'data-tooltip': tooltipOptions, 'title': 'Titre du POI'}) }}
                    {{ knp_pagination_sortable(list.pagination, 'Type', 'type', {'data-tooltip': tooltipOptions, 'title': 'Type de POI'}) }}
                    {{ knp_pagination_sortable(list.pagination, 'Ville', 'city', {'data-tooltip': tooltipOptions, 'title': 'Ville de localisation du POI, le cas échéant'}) }}
                    {{ knp_pagination_sortable(list.pagination, 'Statut', 'status', {'data-tooltip': tooltipOptions, 'title': 'Statut d\'importation du POI'}) }}
                    {{ knp_pagination_sortable(list.pagination, 'Anomalies', 'anomalies_count', {'data-tooltip': tooltipOptions, 'title': 'Nombre d\'anomalies bloquantes ou non bloquantes rencontrées lors de la validation du POI'}) }}
                </tr>
            </thead>
            <tbody>
                <tr class="table-filters">
                    <td>{{ form_widget(list.form.identitySIT, { 'attr': { 'class': 'input-sm' } }) }}</td>
                    <td>{{ form_widget(list.form.label, { 'attr': { 'class': 'input-sm' } }) }}</td>
                    <td>{{ form_widget(list.form.type, { 'attr': { 'class': 'input-sm' } }) }}</td>
                    <td>{{ form_widget(list.form.city, { 'attr': { 'class': 'input-sm', 'data-selectize': list.form.city.vars.choices | json_encode } }) }}</td>
                    <td>{{ form_widget(list.form.status, { 'attr': { 'class': 'input-sm' } }) }}</td>
                    <td>{{ form_widget(list.form.anomaly, { 'attr': { 'class': 'input-sm', 'disabled': true } }) }}</td>
                </tr>
                {% for item in items %}
                    {% set rdfResource = item.0 %}
                    <tr>
                        <td>
                            {% if rdfResource.status == constant('AppBundle\\Entity\\RdfResource::STATUS_PUBLISHED') %}
                                <a href="{{ rdfResource.uri }}" target="_blank" title="Voir la fiche publique du POI" data-tooltip class="pull-right"><i class="fa fa-eye"></i></a>
                            {% else %}
                                <a target="_blank" title="Ce POI n'est pas disponible publiquement" data-tooltip class="pull-right text-gray"><i class="fa fa-eye"></i></a>
                            {% endif %}
                            {{ rdfResource.identitySIT|default('-') }}
                        </td>
                        <td>{{ rdfResource.label|default('-') }}</td>
                        <td>{{ rdfResource.type }}</td>
                        <td>{{ rdfResource.city|default('-') }}</td>
                        <td>
                            {{ appMacros.rdf_resource_status_frame(rdfResource.statusInfos.status, rdfResource.statusInfos.label, rdfResource.statusInfos.description) }}
                        </td>

                        <td>
                            {% if item.anomalies_count > 0 %}
                                <span class="text-orange pull-right _tooltip">
                                    <span class="fa fa-warning"></span>
                                    <a data-toggle="modal-remote" href="{{ path('flux.resources.anomalies', { 'id': flux.id, 'resource_id': rdfResource.id }) }}">&nbsp;{{ rdfResource.anomalies | length }}</a>
                                </span>
                            {% endif %}
                        </td>
                    </tr>
                {% endfor %}
            </tbody>
        </table>
    {{ form_end(list.form) }}

    {% if items | length == 0 %}
        <div class="blankslate blankslate-spacious">
            <h3>Aucun POI ne correspond à votre recherche</h3>
        </div>
    {% endif %}

    {% if list.totalItemCount > page_size %}
        <div class="box-footer">
            {{ appMacros.display_list_position(list, page_size) }}
            {{ knp_pagination_render(list.pagination, null, [], {class: "pagination-sm no-margin pull-right"}) }}
        </div>
    {% endif %}

{% endblock %}